IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'[dbo].[CPJ_Proveedores_CtaCte]') 
                   and OBJECTPROPERTY(id, N'IsProcedure') = 1 )
BEGIN
    DROP PROCEDURE [dbo].[CPJ_Proveedores_CtaCte] 
END
GO

CREATE  PROCEDURE [dbo].[CPJ_Proveedores_CtaCte] @pJson VARCHAR(8000)
AS 
SET NOCOUNT ON

/*Declaracion Variables Locales*/

DECLARE @pFecha_Desde DATETIME
		,@pFecha_Hasta DATETIME
		,@pId_Proveedor INT
		
SET @pFecha_Desde					= ISNULL(CONVERT(DATETIME, dbo.CF_JSON_VALUE(@pJson,'Fecha_Desde')), '19000101')
SET @pFecha_Hasta					= ISNULL(CONVERT(DATETIME, dbo.CF_JSON_VALUE(@pJson,'Fecha_Hasta')), GETDATE())
SET @pId_Proveedor   		     	= ISNULL(CONVERT(INT, dbo.CF_JSON_VALUE(@pJson,'Id_Proveedor')), 0)


  
	 SELECT cc.fecha_vence,cc.fecha,cc.descripcion,cc.nro_cuota,cc.id_moneda,cc.importe,cc.saldo,c.id_proveedor,c.destinatario,c.id_trans 
		FROM proveedores_ctacte CC, cbtes c, cbtes_tipos T, Proveedores K
		WHERE c.id_trans = cc.id_trans 
		and c.id_tipo_cbte = t.id_tipo_cbte
		and c.Id_Proveedor = k.Id_Proveedor 
		and c.Id_Proveedor = @pId_Proveedor 
		and c.id_estado_cbte NOT IN (0,3)
		and c.fecha >= @pFecha_Desde
		and c.Fecha < Dateadd(d,1,@pFecha_Hasta)
		--and cc.saldo <> 0
		ORDER BY cc.Fecha 

 
 --  exec CPJ_Proveedores_CtaCte '{"Id_Proveedor":"1276","Fecha_Desde":"20220101","Fecha_Hasta":"20231231"}'
